GDB (xrefs)

Enumerations | Functions | Variables
linux-namespaces.h File Reference

Go to the source code of this file.

## Enumerations
enum | linux_ns_type { LINUX_NS_IPC, LINUX_NS_MNT, LINUX_NS_NET, LINUX_NS_PID, LINUX_NS_USER, LINUX_NS_UTS, NUM_LINUX_NS_TYPES }

## Functions
int | linux_ns_same (pid_t pid, enum linux_ns_type type)
int | linux_mntns_open_cloexec (pid_t pid, const char *filename, int flags, mode_t mode)
int | linux_mntns_unlink (pid_t pid, const char *filename)
ssize_t | linux_mntns_readlink (pid_t pid, const char *filename, char *buf, size_t bufsiz)

## Variables
int | debug_linux_namespaces

## Enumeration Type Documentation

## ◆ linux_ns_type

enum linux_ns_type

Enumerator
LINUX_NS_IPC |
LINUX_NS_MNT |
LINUX_NS_NET |
LINUX_NS_PID |
LINUX_NS_USER |
LINUX_NS_UTS |
NUM_LINUX_NS_TYPES |

Definition at line 29 of file linux-namespaces.h.

## Function Documentation

## ◆ linux_mntns_open_cloexec()

int linux_mntns_open_cloexec | ( | pid_t | pid,
|  | const char * | filename,
|  | int | flags,
|  | mode_t | mode
| ) |  |

Definition at line 970 of file linux-namespaces.c.

References error(), flags, gdb_assert, gdb_open_cloexec(), linux_mntns_access_fs(), linux_mntns_get_helper(), MNSH_FS_DIRECT, MNSH_FS_ERROR, MNSH_FS_HELPER, mnsh_recv_fd(), mnsh_send_open, pid, and size.

Referenced by linux_nat_fileio_open().

## ◆ linux_mntns_readlink()

ssize_t linux_mntns_readlink | ( | pid_t | pid,
|  | const char * | filename,
|  | char * | buf,
|  | size_t | bufsiz
| ) |  |

Definition at line 1037 of file linux-namespaces.c.

References error(), gdb_assert, linux_mntns_access_fs(), linux_mntns_get_helper(), MNSH_FS_DIRECT, MNSH_FS_ERROR, MNSH_FS_HELPER, mnsh_recv_intstr(), mnsh_send_readlink, pid, and size.

Referenced by linux_nat_fileio_readlink().

## ◆ linux_mntns_unlink()

int linux_mntns_unlink | ( | pid_t | pid,
|  | const char * | filename
| ) |  |

Definition at line 1004 of file linux-namespaces.c.

References error(), gdb_assert, linux_mntns_access_fs(), linux_mntns_get_helper(), MNSH_FS_DIRECT, MNSH_FS_ERROR, MNSH_FS_HELPER, mnsh_recv_int(), mnsh_send_unlink, pid, and size.

Referenced by linux_nat_fileio_unlink().

## ◆ linux_ns_same()

int linux_ns_same | ( | pid_t | pid,
|  | enum linux_ns_type | type
| ) |  |

Definition at line 145 of file linux-namespaces.c.

References linux_ns::filename, linux_ns::id, linux_ns_filename(), linux_ns_get_namespace(), perror_with_name(), and pid.

Referenced by check_pid_namespace_match(), and linux_nat_filesystem_is_local().

## Variable Documentation

## ◆ debug_linux_namespaces

int debug_linux_namespaces

Definition at line 33 of file linux-namespaces.c.

Referenced by _initialize_linux_nat(), linux_mntns_get_helper(), mnsh_recv_message(), and mnsh_send_message().